CombineFileSplit (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapred.lib, class: CombineFileSplit

Package org.apache.hadoop.mapred.lib

# Class CombineFileSplit

java.lang.Object
org.apache.hadoop.mapreduce.InputSplit
org.apache.hadoop.mapreduce.lib.input.CombineFileSplit
org.apache.hadoop.mapred.lib.CombineFileSplit

All Implemented Interfaces:
  `Writable`, `InputSplit`

Direct Known Subclasses:
  `MultiFileSplit`

@Public @Stable public class CombineFileSplit extends CombineFileSplit implements InputSplit

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CombineFileSplit()`
  `CombineFileSplit(JobConf job, Path[] files, long[] lengths)`
  `CombineFileSplit(JobConf job, Path[] files, long[] start, long[] lengths, String[] locations)`
  `CombineFileSplit(CombineFileSplit old)`
  Copy constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JobConf`
  `getJob()`

  ### Methods inherited from class org.apache.hadoop.mapreduce.lib.input.CombineFileSplit

  `getLength, getLength, getLengths, getLocations, getNumPaths, getOffset, getPath, getPaths, getStartOffsets, readFields, toString, write`

  ### Methods inherited from class org.apache.hadoop.mapreduce.InputSplit

  `getLocationInfo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.mapred.InputSplit

  `getLength, getLocations`

  ### Methods inherited from interface org.apache.hadoop.io.Writable

  `readFields, write`

- ## Constructor Details

  - ### CombineFileSplit

    public CombineFileSplit()

  - ### CombineFileSplit

    public CombineFileSplit(JobConf job, Path[] files, long[] start, long[] lengths, String[] locations)

  - ### CombineFileSplit

    public CombineFileSplit(JobConf job, Path[] files, long[] lengths)

  - ### CombineFileSplit

    public CombineFileSplit(CombineFileSplit old) throws IOException
    Copy constructor
    Throws:
      `IOException`

- ## Method Details

  - ### getJob

    public JobConf getJob()